{
  inputs,
  pkgs,
  ...
}:
let
  theme = import ../../../lib/theme { inherit pkgs; };
in
{
  imports = [
    inputs.catppuccin.homeModules.catppuccin

    ./direnv.nix
    ./neomutt.nix
    ./secrets.nix
    ./sops.nix
    ../features/cli
  ];

  home = {
    username = "lander";
    homeDirectory = "/home/lander";
  };

  # Nicely reload system units when changing configs
  systemd.user.startServices = "sd-switch";

  catppuccin = {
    inherit (theme.catppuccin) flavor;
    inherit (theme.catppuccin) accent;
  };

  programs = {
    home-manager.enable = true;
  };

  home.packages = with pkgs; [
    sops
    inputs.nixvim.packages.x86_64-linux.default
    (pass.withExtensions (exts: [
      exts.pass-update
      exts.pass-import
      exts.pass-audit
      exts.pass-checkup
    ]))
    passff-host
    wireguard-tools
  ];

  # https://nixos.wiki/wiki/FAQ/When_do_I_update_stateVersion
  home.stateVersion = "23.05";
}
